<!--
  Generated template for the ProfilePage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>

  <ion-navbar color="dark">
    <ion-title>Profile</ion-title>
    <ion-buttons end>
    	<button ion-button icon-only (click)="allUserListPage()" class="allUserNReqBtn">
    		<ion-badge color="danger" class="allUserNReqBadges" *ngIf="receiveReq > 0" color="accent">{{ receiveReq }}</ion-badge>
        	<ion-icon name="person-add" class="allUserNReqIcon"></ion-icon>
    	</button>
    </ion-buttons>
  </ion-navbar>

</ion-header>


<ion-content padding>
	<div class="profile-image" (press)="editImage()">
		<img *ngIf="!loaded" src="https://firebasestorage.googleapis.com/v0/b/login-chat-app-63063.appspot.com/o/profileImages%2Fdefaultavatar%2Fmedium-default-avatar.png?alt=media&token=bc558370-c9c8-4b11-be08-431d6b6fc1f8" #myImage (click)="presentImage(myImage)">
		<img *ngIf="loaded" src="{{ usersCred.photoURL }}" #myImage (click)="presentImage(myImage)">
	</div>
	<div class="name-heading">
		<h2 (click)="editDisplayName()">{{ usersCred.displayName }}</h2>
	</div>
	<div class="info-div">
		<p>Tap on your pic or nick name to change it.</p>
	</div>
	<div class="profile-logout-btn-div">
		<button class="friendList-btn" ion-button round outline color="dark" (click)="friendList()">
			<ion-icon name="contacts"></ion-icon>
			<span>&nbsp;Friend List</span>
		</button>
	</div>
	<div class="profile-logout-btn-div">
		<button class="logout-btn" ion-button round outline color="danger" (click)="logout()">
			<ion-icon name="exit"></ion-icon>
			<span>&nbsp;Logout</span>
		</button>
	</div>

</ion-content>
